/****** FILE: app/client/dist/styles/blocks/block/text-block.css *****/
/*!************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[1].use[2]!./node_modules/sass-loader/dist/cjs/index.js??ruleSet[1].rules[1].use[3]!./app/client/source/styles/blocks/block/text-block.scss ***!
  \************************************************************************************************************************************************************************************************************************************************************************************/
/* --------------------------------------
Import variables and mixins
-------------------------------------- */
/* -----------------------------------------------------------
Font Families
----------------------------------------------------------- */
/* -----------------------------------------------------------
Grab the paragraph size and line height CSS variables
----------------------------------------------------------- */
/* -----------------------------------------------------------
Heading font-family map
----------------------------------------------------------- */
/* -----------------------------------------------------------
Font weight map
----------------------------------------------------------- */
/* -----------------------------------------------------------
Text transform
----------------------------------------------------------- */
/* -----------------------------------------------------------
Paragraph Text
----------------------------------------------------------- */
/* ----------------------------------------------------------------
Default Grid Settings
---------------------------------------------------------------- */
/* ----------------------------------------------------------------
Grid Helpers
---------------------------------------------------------------- */
/* --------------------------------------
Text Block
-------------------------------------- */
.block-text {
  opacity: 0;
  color: var(--body-background-colour-contrast, #000) !important;
  background-color: transparent !important;
}
.block-text.in-view {
  opacity: 1;
  transition: opacity 1s ease;
}
.block-text__container {
  display: block;
  margin: 0 auto;
  padding-left: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  padding-right: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  max-width: calc(var(--content-width, 154rem) * var(--base-size-multiplier, 1));
}
.block-text__wrap {
  --_wrapper-max-width: calc(var(--content-width, 154rem) * var(--base-size-multiplier, 1));
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-left: var(--row-padding, 0);
  padding-right: var(--row-padding, 0);
  max-width: var(--_wrapper-max-width);
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: stretch;
}
.block-text__content {
  display: block;
  width: 100%;
  padding-left: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  padding-right: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  margin-bottom: 0;
}
.block-text__content {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: var(--_row-gap, var(--default-gap, 3rem));
  color: var(--_primary-colour-contrast);
  background-color: var(--_primary-colour);
}
@media only screen and (min-width: 640px) {
  .block-text__content {
    padding: calc(var(--_row-gap, var(--default-gap, 3rem)) / 2);
  }
}
@media only screen and (max-width: 967px) {
  .block-text__content:first-child {
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
  }
  .block-text__content:last-child {
    border-bottom-left-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
  }
}
@media only screen and (min-width: 968px) {
  .block-text__content {
    width: 50%;
    padding: 5rem;
  }
  .block-text__content:first-child {
    border-top-left-radius: 0.5rem;
    border-bottom-left-radius: 0.5rem;
  }
  .block-text__content:last-child {
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
  }
}
@media only screen and (min-width: 1280px) {
  .block-text__content {
    padding: 7rem;
  }
  .block-text__content:first-child {
    width: 30%;
  }
  .block-text__content:last-child {
    width: 65%;
  }
}
.block-text__content > :last-child {
  margin-bottom: 0;
}
.block-text__heading {
  font-weight: var(--_font-weight-max, 700);
  text-wrap: balance;
  color: var(--_secondary-colour, var(--_primary-colour-contrast, var(--body-background-colour-contrast, #000)));
}

